<?php
/***************************************************************************
*                                                                          *
*   (c) 2004 Vladimir V. Kalynyak, Alexey V. Vinokurov, Ilya M. Shalnev    *
*                                                                          *
* This  is  commercial  software,  only  users  who have purchased a valid *
* license  and  accept  to the terms of the  License Agreement can install *
* and use this program.                                                    *
*                                                                          *
****************************************************************************
* PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
* "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
****************************************************************************/

$d = SEO_DELIMITER;

$umlauts = array(
    // Replace umlauts with their basic latin representation
    // phpcs:disable
    "\xc3\xa5" => 'aa',
    "\xc3\xa6" => 'ae',
    "\xc3\xb6" => 'oe',
    "\xc3\x85" => 'aa',
    "\xc3\x86" => 'ae',
    "\xc3\x96" => 'oe',

    "\xc5\xA5" => 't',
    "\xc4\xBE" => 'l',
    "\xc5\xA4" => 'T',
    "\xc4\xBD" => 'L',
    "\xc4\x84" => 'A',
    "\xc4\x85" => 'a',
    "\xc3\xa1" => 'a',
    "\xc3\x81" => 'A',
    "\xc3\xa0" => 'a',
    "\xc3\x80" => 'A',
    "\xc3\xa2" => 'a',
    "\xc3\x82" => 'A',
    "\xc3\xa3" => 'a',
    "\xc3\x83" => 'A',
    "\xc2\xaa" => 'a',
    "\xc4\x80" => 'A',
    "\xc4\x81" => 'a',
    "\xc4\x8c" => 'C',
    "\xc4\x8d" => 'c',
    "\xc3\xa7" => 'c',
    "\xc3\x87" => 'C',
    "\xc4\x86" => 'C',
    "\xc4\x87" => 'c',
    "\xc3\xa9" => 'e',
    "\xc3\x89" => 'E',
    "\xc3\xa8" => 'e',
    "\xc3\x88" => 'E',
    "\xc3\xaa" => 'e',
    "\xc3\x8a" => 'E',
    "\xc3\xab" => 'e',
    "\xc3\x8b" => 'E',
    "\xc4\x98" => 'E',
    "\xc4\x99" => 'e',
    "\xc4\x9a" => 'E',
    "\xc4\x9b" => 'e',
    "\xc4\x96" => 'E',
    "\xc4\x97" => 'e',
    "\xc4\x92" => 'E',
    "\xc4\x93" => 'e',
    "\xc4\x8f" => 'd',
    "\xc4\xa2" => 'g',
    "\xc4\xa3" => 'G',
    "\xc3\xad" => 'i',
    "\xc3\x8d" => 'I',
    "\xc3\xac" => 'i',
    "\xc3\x8c" => 'I',
    "\xc3\xae" => 'i',
    "\xc3\x8e" => 'I',
    "\xc3\xaf" => 'i',
    "\xc3\x8f" => 'I',
    "\xc4\xae" => 'I',
    "\xc4\xaf" => 'i',
    "\xc4\xaa" => 'I',
    "\xc4\xab" => 'i',
    "\xc4\xb6" => 'K',
    "\xc4\xb7" => 'k',
    "\xc4\xb9" => 'L',
    "\xc4\xba" => 'l',
    "\xc4\xbe" => 'l',
    "\xc4\xbb" => 'L',
    "\xc4\xbc" => 'l',
    "\xc5\x81" => 'L',
    "\xc5\x82" => 'l',
    "\xc5\x87" => 'N',
    "\xc5\x88" => 'n',
    "\xc3\xb1" => 'n',
    "\xc3\x91" => 'N',
    "\xc5\x83" => 'N',
    "\xc5\x84" => 'n',
    "\xc5\x85" => 'N',
    "\xc5\x86" => 'n',
    "\xc3\xb3" => 'o',
    "\xc3\x93" => 'O',
    "\xc3\xb2" => 'o',
    "\xc3\x92" => 'O',
    "\xc3\xb4" => 'o',
    "\xc3\x94" => 'O',
    "\xc3\xb5" => 'o',
    "\xc3\x95" => 'O',
    "\xd4\xa5" => 'o',
    "\xc3\x98" => 'O',
    "\xc2\xba" => 'o',
    "\xc3\xb0" => 'o',
    "\xc5\x94" => 'R',
    "\xc5\x95" => 'r',
    "\xc5\x98" => 'R',
    "\xc5\x99" => 'r',
    "\xc5\x9a" => 'S',
    "\xc5\xa0" => 'S',
    "\xc5\xa1" => 's',
    "\xc5\x9b" => 's',
    "\xc5\xa5" => 't',
    "\xc3\xba" => 'u',
    "\xc3\x9a" => 'U',
    "\xc3\xb9" => 'u',
    "\xc3\x99" => 'U',
    "\xc3\xbb" => 'u',
    "\xc3\x9b" => 'U',
    "\xc3\xbc" => 'u',
    "\xc3\x9c" => 'U',
    "\xc5\xae" => 'U',
    "\xc5\xaf" => 'u',
    "\xc5\xb2" => 'U',
    "\xc5\xb3" => 'u',
    "\xc5\xaa" => 'U',
    "\xc5\xab" => 'u',
    "\xc3\xbd" => 'y',
    "\xc3\x9d" => 'Y',
    "\xc3\xbf" => 'y',
    "\xc3\xa4" => 'a',
    "\xc3\x84" => 'A',
    "\xc3\x9f" => 's',
    "\xc5\xb9" => 'Z',
    "\xc5\xba" => 'z',
    "\xc5\xbb" => 'Z',
    "\xc5\xbc" => 'z',
    "\xc5\xbd" => 'Z',
    "\xc5\xbe" => 'z',

    "\xce\x91" => 'A',
    "\xce\x92" => 'B',
    "\xce\x93" => 'G',
    "\xce\x94" => 'D',
    "\xce\x95" => 'E',
    "\xce\x96" => 'Z',
    "\xce\x97" => 'I',
    "\xce\x98" => 'Th',
    "\xce\x99" => 'I',
    "\xce\x9a" => 'K',
    "\xce\x9b" => 'L',
    "\xce\x9c" => 'M',
    "\xce\x9d" => 'N',
    "\xce\x9e" => 'Ks',
    "\xce\x9f" => 'O',
    "\xce\xa0" => 'P',
    "\xce\xa1" => 'R',
    "\xce\xa3" => 'S',
    "\xce\xa4" => 'T',
    "\xce\xa5" => 'Y',
    "\xce\xa6" => 'F',
    "\xce\xa7" => 'Kh',
    "\xce\xa8" => 'Ps',
    "\xce\xa9" => 'O',
    "\xce\x86" => 'A',
    "\xce\x88" => 'E',
    "\xce\x89" => 'I',
    "\xce\x8a" => 'I',
    "\xce\x8c" => 'O',
    "\xce\x8e" => 'Y',
    "\xce\x8f" => 'O',
    "\xce\x90" => 'I',
    "\xce\xaa" => 'I',
    "\xce\xab" => 'Y',
    "\xce\xb0" => 'Y',
    "\xce\xb1" => 'a',
    "\xce\xb2" => 'b',
    "\xce\xb3" => 'g',
    "\xce\xb4" => 'd',
    "\xce\xb5" => 'e',
    "\xce\xb6" => 'z',
    "\xce\xb7" => 'i',
    "\xce\xb8" => 'th',
    "\xce\xb9" => 'i',
    "\xce\xba" => 'k',
    "\xce\xbb" => 'l',
    "\xce\xbc" => 'm',
    "\xce\xbd" => 'n',
    "\xce\xbe" => 'ks',
    "\xce\xbf" => 'o',
    "\xcf\x80" => 'p',
    "\xcf\x81" => 'r',
    "\xcf\x82" => 's',
    "\xcf\x83" => 's',
    "\xcf\x84" => 't',
    "\xcf\x85" => 'y',
    "\xcf\x86" => 'f',
    "\xcf\x87" => 'kh',
    "\xcf\x88" => 'ps',
    "\xcf\x89" => 'o',
    "\xce\xac" => 'a',
    "\xce\xad" => 'e',
    "\xce\xae" => 'i',
    "\xce\xaf" => 'i',
    "\xcf\x8c" => 'o',
    "\xcf\x8d" => 'y',
    "\xcf\x8e" => 'o',
    "\xcf\x8a" => 'i',
    "\xcf\x8b" => 'y',

    "\xd1\x97" => 'i',
    "\xd0\x87" => 'I',
    "\xd0\x84" => 'Ie',
    "\xd1\x94" => 'ie',
    "\xd2\x90" => 'G',
    "\xd2\x91" => 'g',
    "\xd0\x86" => 'I',
    "\xd1\x96" => 'i',
    // phpcs:enable
);

return array_merge($schema, $umlauts);
